Package Scientific :: Package Visualization :: Module VPython :: Class Sphere

[frames] | no frames]

# Class Sphere

    GraphicsObject --+
                     |
           ShapeObject --+
                         |
                        Sphere

Sphere

Instance Methods

__init__(self, center, radius, **attr) |

show(self, window) |

Inherited from `ShapeObject`: `__add__`, `display` Inherited from `GraphicsObject`: `__copy__`, `__getitem__`, `__setitem__`

Class Variables
Inherited from `ShapeObject`: `attribute_names`

Method Details

### __init__(self, center, radius, **attr)
(Constructor)

Parameters:
  - `center` (Scientific.Geometry.Vector) - the center of the sphere
  - `radius` (positive number) - the sphere radius
  - `attr` - graphics attributes as keyword parameters
Overrides: GraphicsObject.__init__